## org.jfree.chart.block
Class ColorBlock

    java.lang.Object
      org.jfree.chart.block.AbstractBlock
          org.jfree.chart.block.ColorBlock

All Implemented Interfaces:
  java.io.Serializable, Block, org.jfree.ui.Drawable

    public class ColorBlock

extends AbstractBlock
implements Block

A block that is filled with a single color.

See Also:
  Serialized Form

Constructor Summary
`ColorBlock(java.awt.Paint paint, double width, double height)` Creates a new block.

Method Summary
`void` `draw(java.awt.Graphics2D g2, java.awt.geom.Rectangle2D area)` Draws the block.

Methods inherited from class org.jfree.chart.block.AbstractBlock
`arrange, arrange, calculateTotalHeight, calculateTotalWidth, drawBorder, equals, getBorder, getBounds, getHeight, getID, getMargin, getPadding, getWidth, setBorder, setBounds, setHeight, setID, setMargin, setPadding, setWidth, toContentConstraint, trimBorder, trimMargin, trimPadding, trimToContentHeight, trimToContentWidth`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jfree.chart.block.Block
`arrange, arrange, getBounds, getID, setBounds, setID`

Constructor Detail

### ColorBlock

    public ColorBlock(java.awt.Paint paint,
                      double width,
                      double height)

  Creates a new block.

  Parameters:
    `paint` - the paint.
    `width` - the width.
    `height` - the height.

Method Detail

### draw

    public void draw(java.awt.Graphics2D g2,
                     java.awt.geom.Rectangle2D area)

  Draws the block.

  Specified by:
    `draw` in interface `org.jfree.ui.Drawable`
  Parameters:
    `g2` - the graphics device.
    `area` - the area.